# $Revision: 1.24 $, $Date: 2008/07/27 22:44:06 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	EasyTCP
Summary:	Net::EasyTCP Perl module - easily create TCP/IP clients and servers
Summary(pl.UTF-8):	Moduł Perla Net::EasyTCP - pomocny przy tworzeniu klientów i serwerów TCP/IP
Name:		perl-Net-EasyTCP
Version:	0.26
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	c8ff3f221bcdb358ed9dfa8c6b098b35
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::EasyTCP Perl module - easily create TCP/IP clients and servers.
Features:
- one easy module to create both clients and servers
- Object Oriented interface
- event-based callbacks in server mode
- internal protocol to take care of all the common transport problems
- transparent encryption
- transparent compression.

%description -l pl.UTF-8
Moduł Perla Net::EasyTCP - pomocny przy tworzeniu klientów i serwerów
TCP/IP. Cechy:
- jeden łatwy w użyciu moduł do tworzenia klientów i serwerów
- obiektowo zorientowany interfejs
- funkcje callback sterowane zdarzeniami w trybie serwera
- wewnętrzny protokół rozwiązujący główne problemy z transportem
- przezroczyste szyfrowanie
- przezroczysta kompresja.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Net/EasyTCP.pm
#%dir %{perl_vendorlib}/auto/Net/EasyTCP
#%{perl_vendorlib}/auto/Net/EasyTCP/autosplit.ix
#%{perl_vendorlib}/auto/Net/EasyTCP/*.al
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-EasyTCP.spec,v $
Revision 1.24  2008/07/27 22:44:06  arekm
- release 3

Revision 1.23  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:42  baggins
- converted to UTF-8

Revision 1.21  2005/11/14 14:03:30  radek
- pl fix: "przezroczysty" is written with "z", not zacute

Revision 1.20  2004/11/03 22:30:36  paladine
- formatting

Revision 1.19  2004/06/05 18:10:45  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.18  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.17  2004/05/06 18:20:44  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/27 00:28:03  ankry
- license fixes, cosmetics

Revision 1.15  2004/04/21 00:10:17  ankry
- ported to new bconds

Revision 1.14  2004/04/09 19:54:53  adamg
- updated to 0.26

Revision 1.13  2003/09/03 20:56:17  adamg
- updated to 0.25

Revision 1.12  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.11  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:24:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.8  2003/03/13 00:03:25  ankry
- merge from RA-branch: updated to 0.19

Revision 1.7  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:37:01  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/11/20 12:23:26  mis
- autoupdated to 0.17

Revision 1.3  2002/10/05 21:17:28  ankry
- (auto)updated to 0.16

Revision 1.2  2002/09/27 13:53:21  ankry
- added tests
- version 0.15

Revision 1.1  2002/07/20 23:11:03  qboosh
- new

